Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
hhhhgggg

Lisp đổi kiểu nét của Layer sang Hidden2 và Line type scale =0.25

Các bài được khuyến nghị

Bác Pro viết júp em cái Lisp đổi kiểu nét của Layer CADViet ( Layer này đã có sẵn) sang Hidden2 và có Line type scale = 0.25 với !!! Em xin chân thành cảm ơn các bác !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bác Pro viết júp em cái Lisp đổi kiểu nét của Layer CADViet ( Layer này đã có sẵn) sang Hidden2 và có Line type scale = 0.25 với !!! Em xin chân thành cảm ơn các bác !

Đây bạn :

(Defun c:chuyen ()

(Command "layer" "m" "CADVIET" "L" "Hidden2" "" "LW" "0.25" "" "")

(Princ)

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bác Pro viết júp em cái Lisp đổi kiểu nét của Layer CADViet ( Layer này đã có sẵn) sang Hidden2 và có Line type scale = 0.25 với !!! Em xin chân thành cảm ơn các bác !

 

Chào bạn.

Line type scale hình như không đổi trực tiếp được nên mình gửi bạn lisp chuyển bằng cách chọn đối tượng. Mình mới vào nghề thôi, nhờ bác Tue NV chỉ giáo thêm về cái lisp mình mới viết nhe.

 

(defun c:chuyen ( )

(prompt "\nChon doi tuong: ")

(setq dt (ssget))

(command "chprop" dt "" "la" "cadviet" "s" "0.25" "lt" "hidden2" "")

(princ)

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chào bạn.

Line type scale hình như không đổi trực tiếp được nên mình gửi bạn lisp chuyển bằng cách chọn đối tượng. Mình mới vào nghề thôi, nhờ bác Tue NV chỉ giáo thêm về cái lisp mình mới viết nhe.

 

(defun c:chuyen ( )

(prompt "\nChon doi tuong: ")

(setq dt (ssget))

(command "chprop" dt "" "la" "cadviet" "s" "0.25" "lt" "hidden2" "")

(princ)

)

Lisp của bác Tuệ chỉ đổi được kiểu nét sang Hidden2 thôi, chưa đổi được line type scale thành 0.25. Bác sửa lại giúp e với !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Lisp của bác Tuệ chỉ đổi được kiểu nét sang Hidden2 thôi, chưa đổi được line type scale thành 0.25. Bác sửa lại giúp e với !
Line type scale hình như không đổi trực tiếp được nên mình gửi bạn lisp chuyển bằng cách chọn đối tượng.

 

Tổng hợp 2 LISP của Tue_NV và tuan_thietkedien

(defun c:chuyen (/ dt )  
 (if (tblsearch "layer" "CADVIET")
   (progn
     (setq curLay (getvar "clayer"))
     (Command "layer" "m" "CADVIET" "L" "Hidden2" "" "")
     ;(prompt "\nChon doi tuong: ")
     (if (setq dt (ssget "X" (list (cons 8 "CADVIET"))))
(command "chprop" dt "" "s" "0.25" "")
(alert "Khong co doi tuong tren layer CADVIET !")
)
     (setvar "clayer" curLay)
     )
   (alert "Chua co Layer : CADVIET !")
   )
 (princ)
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tổng hợp 2 LISP của Tue_NV và tuan_thietkedien

(defun c:chuyen (/ dt )  
 (if (tblsearch "layer" "CADVIET")
   (progn
     (setq curLay (getvar "clayer"))
     (Command "layer" "m" "CADVIET" "L" "Hidden2" "" "")
     ;(prompt "\nChon doi tuong: ")
     (if (setq dt (ssget "X" (list (cons 8 "CADVIET"))))
(command "chprop" dt "" "s" "0.25" "")
(alert "Khong co doi tuong tren layer CADVIET !")
)
     (setvar "clayer" curLay)
     )
   (alert "Chua co Layer : CADVIET !")
   )
 (princ)
)

Ok ! Cảm ơn bác Gia_Bach đã giải bài toán giúp em !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×